#include <iostream>
#include <vector>
#include <string>
#include <stack>
#include <queue>
#include <algorithm>
#include <cmath>
#include <deque>

using namespace std;

signed main()
{
    int n, l;
    cin >> n >> l;
    vector<int>v(n);
    for (int i = 0; i < n; i++)
    {
        cin >> v[i];
    }
    for (int i = 0; i < n; i++)
    {
        if (v[i] <= l)
        {
            cout << i + 1;
            return 0;
        }
    }
    cout << -1;
    return 0;
}